summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-05-27 09:32:33 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-05-27 09:53:20 +0200
commit45bdafa706c09957b864d3d22fe19edce88d4940 (patch)
treef906628d0e3ad0e5bd644c3e503e018c8aff6606 /sys-auth
parentdev-perl/Config-Any: add ~arm, bug #619310 (diff)
downloadgentoo-45bdafa706c09957b864d3d22fe19edce88d4940.tar.gz
gentoo-45bdafa706c09957b864d3d22fe19edce88d4940.tar.bz2
gentoo-45bdafa706c09957b864d3d22fe19edce88d4940.zip
sys-auth/elogind: 229.3 version bump
Thanks-to: Sven Eden <yamakuzure@gmx.net> Gentoo-bug: 618498 Package-Manager: Portage-2.3.5, Repoman-2.3.1
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/elogind/Manifest1
-rw-r--r--sys-auth/elogind/elogind-229.3.ebuild84
2 files changed, 85 insertions, 0 deletions
diff --git a/sys-auth/elogind/Manifest b/sys-auth/elogind/Manifest
index 5820d9861df..54db4856b7c 100644
--- a/sys-auth/elogind/Manifest
+++ b/sys-auth/elogind/Manifest
@@ -1 +1,2 @@
DIST elogind-226.4.tar.gz 698076 SHA256 585ac8746cd81a74f47b4e93cb5f000494da4104ad53da0bae023e1758d0456d SHA512 4eb4da1d0311b2fe2d22fef57143fe8c2280df9f7a2b41e150f4d7e1411bd41eed4648aa3b80ac44d2b533e8c91a482cda7c3e8af85e710fb97e73061726ea12 WHIRLPOOL 8252b4e54830f9e257a28751eb233d4752cff24b4d695c2351f86cc65160ff6577e373cdd667635e0dee00fb63e1a57a7c049105eef9c5e4cd4cb2a7cc991f63
+DIST elogind-229.3.tar.gz 757313 SHA256 8506145e6071a637aec91276e19cd932b3d9cd297c8e833f7b08b8d53fd7a1d7 SHA512 5449f6b8ca1cb14d91681de1273819e193c88f6ec22b790cfe2c9d9d6e0d37bfc3b707a650d14471e0cb3a577289f725e1a47d22a14db2154a2c0552ecde32ca WHIRLPOOL e71fc14453017a570c3c2766b42fb444e41b2a703689e745ea3a01bd915fdab896b4bd3f229f74d438d48b8383a0b590c456b9269a739e9bf7b8d60441fbb33c
diff --git a/sys-auth/elogind/elogind-229.3.ebuild b/sys-auth/elogind/elogind-229.3.ebuild
new file mode 100644
index 00000000000..74c4496adf2
--- /dev/null
+++ b/sys-auth/elogind/elogind-229.3.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools linux-info pam udev
+
+DESCRIPTION="The systemd project's logind, extracted to a standalone package"
+HOMEPAGE="https://github.com/elogind/elogind"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="CC0-1.0 LGPL-2.1+ public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="acl debug pam policykit selinux"
+
+COMMON_DEPEND="
+ sys-apps/util-linux
+ sys-libs/libcap
+ virtual/libudev:=
+ acl? ( sys-apps/acl )
+ pam? ( virtual/pam )
+ selinux? ( sys-libs/libselinux )
+"
+RDEPEND="${COMMON_DEPEND}
+ sys-apps/dbus
+ !sys-apps/systemd
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.2
+ app-text/docbook-xml-dtd:4.5
+ app-text/docbook-xsl-stylesheets
+ dev-util/gperf
+ dev-util/intltool
+ sys-devel/libtool
+ virtual/pkgconfig
+"
+PDEPEND="policykit? ( sys-auth/polkit )"
+
+PATCHES=( "${FILESDIR}/${PN}-226.4-docs.patch" )
+
+pkg_setup() {
+ local CONFIG_CHECK="~CGROUPS ~EPOLL ~INOTIFY_USER ~SECURITY_SMACK
+ ~SIGNALFD ~TIMERFD"
+
+ if use kernel_linux; then
+ linux-info_pkg_setup
+ fi
+}
+
+src_prepare() {
+ default
+ eautoreconf # Makefile.am patched by "${FILESDIR}/${P}-docs.patch"
+}
+
+src_configure() {
+ econf \
+ --with-pamlibdir=$(getpam_mod_dir) \
+ --with-udevrulesdir="$(get_udevdir)"/rules.d \
+ --libdir="${EPREFIX}"/usr/$(get_libdir) \
+ --with-rootlibdir="${EPREFIX}"/$(get_libdir) \
+ --enable-smack \
+ --disable-kdbus \
+ $(use_enable debug debug elogind) \
+ $(use_enable acl) \
+ $(use_enable pam) \
+ $(use_enable selinux)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+
+ newinitd "${FILESDIR}"/${PN}.init ${PN}
+ newconfd "${FILESDIR}"/${PN}.conf ${PN}
+}
+
+pkg_postinst() {
+ if [ "$(rc-config list default | grep elogind)" = "" ]; then
+ ewarn "To enable the elogind daemon, elogind must be"
+ ewarn "added to the default runlevel:"
+ ewarn "# rc-update add elogind default"
+ fi
+}